Bug 688800 - (JBPAPP-6128) [JBPAPP-6128] JON 2.4.1 + EWS 1.0.2-CR1 on Windows: Tomcat 5/6 not displayed in RHQ web UI
[JBPAPP-6128] JON 2.4.1 + EWS 1.0.2-CR1 on Windows: Tomcat 5/6 not displayed...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Communications Subsystem (Show other bugs)
3.0.0
Unspecified Windows
high Severity medium (vote)
: ---
: JON 3.0.0,RHQ 4.3.0
Assigned To: Lukas Krejci
Mike Foley
:
Depends On:
Blocks: ews1.0.2 jon30-sprint9 jon3
  Show dependency treegraph
 
Reported: 2011-03-18 00:06 EDT by Ondřej Žižka
Modified: 2012-02-07 14:18 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-07 14:18:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ondřej Žižka 2011-03-18 00:06:35 EDT
STR:

1) Install EWS
2) Install Tomcats as services, start one of them
3) RHQ agent -> discovery -f - says Tomcat was found
4) Check RHQ web - not displayed. It's not ignored. Httpd or IIS were discovered.

Tomcat.Tomcat Server: Starting discovery...
Tomcat.Tomcat Server: Process scan detected a server - scan=[ProcessScan: query=[process|basename|match=^tomcat(5|6)\.exe], name=[WindowsEWSTomcat]], process=[p
rocess: pid=[4732], name=[C:\Program Files\Red Hat\Enterprise Web Server\sbin\tomcat5.exe], ppid=[620]]
Tomcat.Tomcat Server: Done.
Comment 1 Lukas Krejci 2011-11-18 05:45:54 EST
This is similar to bug 580931 but still reproducible w/ RHQ 4.3.0-SNAPSHOT and EWS 1.0.2 installed on Win XP.
Comment 2 Lukas Krejci 2011-11-18 06:46:59 EST
commit 8088a9788c62d903630182a8038f6ec1b849d603
Author: Lukas Krejci <lkrejci@redhat.com>
Date:   Fri Nov 18 12:43:46 2011 +0100

    [BZ 688800] - More robust detection of EWS tomcat installation dirs.
Comment 3 Lukas Krejci 2011-11-18 06:47:30 EST
commit 8088a9788c62d903630182a8038f6ec1b849d603 is in the master branch only.
Comment 4 Lukas Krejci 2011-11-18 06:52:38 EST
To test this, please make sure that both tomcat 5 and 6 are discovered when started as Windows services and that the RHQ resource is fully functional when inventoried (configuration works, operations can be executed, etc.)
Comment 5 Stefan Negrea 2011-11-23 11:24:54 EST
Code-reviewed the change committed to master. The change is good, no updates necessary.
Comment 6 Libor Zoubek 2011-11-23 11:47:12 EST
Tomcat 5/6 is successfully detected by agent, appear in Discovery queue and
can be inventoried. Invoking operations work, however there is a new bug
related https://bugzilla.redhat.com/show_bug.cgi?id=756456
Comment 7 Charles Crouch 2011-11-28 15:06:53 EST
Pushing to ON_DEV so change can be cherry-picked to release
Comment 8 John Mazzitelli 2011-11-28 16:25:11 EST
git commit to release_jon3.x branch: f3ba0a0
Comment 9 Mike Foley 2012-02-07 14:18:15 EST
changing status of VERIFIED BZs for JON 2.4.2 and JON 3.0 to CLOSED/CURRENTRELEASE

Note You need to log in before you can comment on or make changes to this bug.